| Home | Libraries | People | FAQ | More

###### string::append (2 of 3 overloads)

Append a string to the string.

###### Synopsis

    string&
    append(
        string_view sv);

###### Description

Appends `sv` the end of the string.

###### Exception Safety

Strong guarantee.

###### Return Value

`*this`

###### Parameters

Name | Description
--- | ---
`sv` | The `string_view` to append.

###### Exceptions

Type | Thrown On
--- | ---
`system_error` | `size() + s.size() > max_size()`